# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-jquery
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.jquery

Name:           python-module-tw2-jquery
Version:        2.0.3
Release:        alt1_6
Summary:        jQuery for ToscaWidgets2

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-module-webob >= 0.9.7
%endif
BuildRequires:  python-module-tw2-core
BuildRequires:  python-module-tw2-forms
BuildRequires:  python-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python-module-nose
BuildRequires:  python-module-coverage
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-webtest
BuildRequires:  python-module-strainer

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi
Source44: import.info


# Runtime requirements

%description
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

This module, tw2.jquery, provides toscawidgets2 (tw2) access to the
jQuery library, a namespace package for jQuery plugins, and convenience
classes for creating these plugins.

%prep
%setup -q -n %{modname}-%{version}

# tw2 bundles *all* these versions of jquery (and 1.7.1 as well).
# Versions prior to 1.6.3 have an XSS vulnerability; so we remove them.
# If someone ends up needing this, we could probably patch 1.6.2, but
# it is likely that noone is using them.
rm -rf tw2/jquery/static/jquery/1.3.2/
rm -rf tw2/jquery/static/jquery/1.4.2/
rm -rf tw2/jquery/static/jquery/1.4.4/
rm -rf tw2/jquery/static/jquery/1.6.0/
rm -rf tw2/jquery/static/jquery/1.6.2/

%if 0%{?rhel} && 0%{?rhel} <= 6
# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py
# Remove all the fancy nosetests configuration for older python
rm setup.cfg
%endif


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%check
%if 0%{?rhel} && 0%{?rhel} <= 6
# Don't run tests on rhel.
%else
PYTHONPATH=$(pwd) python setup.py test
%endif

%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/tw2/jquery
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_6
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_4
- initial fc import

